
package com.ibm.tools.attach;
/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2009, 2010  All Rights Reserved
 */

/**
 * Thrown when when a JVMTI agent fails to initialize in the target
 */
public class AgentInitializationException extends Exception {
	/**
	 *
	 */
	private static final long serialVersionUID = -7062322122581825879L;
	/**
	 *
	 */
	private final int returnValue;

	/**
	 * construct an exception with a default message
	 */
	public AgentInitializationException() {
		super("AgentInitializationException"); //$NON-NLS-1$
		this.returnValue = 0;
	}

	/**
	 * @param message details of exception
	 * @param initReturnValue return code from call to Agent_OnAttach
	 */
	public AgentInitializationException(String message, int initReturnValue) {
		super(message);
		this.returnValue = initReturnValue;
	}

	/**
	 * @param message details of exception
	 */
	public AgentInitializationException(String message) {
		super(message);
		this.returnValue = 0;
	}

	/**
	 * @return return code from call to Agent_OnAttach
	 */
	public int returnValue() {
		return returnValue;
	}

}
